Subject: [alpine-aports] [PATCH] testing/babeltrace: Fix output plugins

From: Michael Jeanson <[email-masked]>
Date: Tue, 14 Jun 2016 15:28:03 -0500

abuild adds "-Wl,--as-needed" to LDFLAGS which breaks
babeltrace plugin load that uses _init functions to
initialize.
---
 testing/babeltrace/APKBUILD | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/testing/babeltrace/APKBUILD b/testing/babeltrace/APKBUILD
index f3959bd..b7af05a 100644
--- a/testing/babeltrace/APKBUILD
+++ b/testing/babeltrace/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Michael Jeanson <[email-masked]>
 pkgname=babeltrace
 pkgver=1.4.0
-pkgrel=0
+pkgrel=1
 pkgdesc="a trace converter and read/write library"
 url="https://www.efficios.com/babeltrace"
 arch="all"
@@ -18,11 +18,18 @@ builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
+
+	# This package uses _init functions to initialise extensions. With
+	# --as-needed this will not work.
+	export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"
 	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
 		--prefix=/usr \
+		--disable-static \
 		--disable-debug-info \
 		|| return 1
-	make || return 1
+	make V=1 || return 1
 	make check || return 1
 }
 
-- 
2.8.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---